import { type Container } from "tsparticles-engine";
import type { EditorGroup } from "object-gui";
export declare abstract class EditorBase {
    protected readonly particles: () => Container;
    protected constructor(particles: () => Container);
    notifyEditorChanged(): void;
    abstract addToGroup(parent: EditorGroup, options?: () => unknown): void;
}
