"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EditorBase = void 0;
const tsparticles_engine_1 = require("tsparticles-engine");
const Utils_1 = require("./Utils");
class EditorBase {
    constructor(particles) {
        this.particles = particles;
    }
    notifyEditorChanged() {
        tsparticles_engine_1.tsParticles.dispatchEvent(Utils_1.editorChangedEvent, {
            container: this.particles(),
        });
    }
}
exports.EditorBase = EditorBase;
