import { EditorBase } from "../../../EditorBase";
import { EditorType } from "object-gui";
export class FullScreenOptionsEditor extends EditorBase {
    constructor(particles) {
        super(particles);
    }
    addToGroup(parent) {
        this.group = parent.addGroup("fullScreen", "Full Screen");
        this.options = this.group.data;
        this.addProperties();
    }
    addProperties() {
        this.group.addProperty("enable", "Enable", EditorType.boolean).change(async () => {
            await this.particles().refresh();
        });
        this.group.addProperty("zIndex", "zIndex", EditorType.number).change(async () => {
            await this.particles().refresh();
        });
    }
}
