import { EditorBase } from "../../../../EditorBase";
import { EditorType } from "object-gui";
export class ShapeOptionsEditor extends EditorBase {
    constructor(particles) {
        super(particles);
    }
    addToGroup(parent) {
        this.group = parent.addGroup("shape", "Shape");
        this.options = this.group.data;
        this.addProperties();
    }
    addProperties() {
        const selectType = this.group.addProperty("type", "Type", EditorType.select).change(async () => {
            await this.particles().refresh();
        });
        for (const key of this.particles().drawers.keys()) {
            selectType.addItem(key);
        }
    }
}
