import { type Container } from "tsparticles-engine";
import type { Editor, EditorGroup } from "object-gui";
import { EditorBase } from "../../EditorBase";
export declare class OptionsEditor extends EditorBase {
    group: EditorGroup;
    private options;
    constructor(particles: () => Container);
    addToGroup(parent: EditorGroup | Editor): void;
    private addBackground;
    private addBackgroundMask;
    private addFullScreen;
    private addInfection;
    private addInteractivity;
    private addMotion;
    private addParticles;
    private addProperties;
}
