import type { Container } from "tsparticles-engine";
import { EditorBase } from "../../../EditorBase";
import type { EditorGroup } from "object-gui";
export declare class ParticlesOptionsEditor extends EditorBase {
    group: EditorGroup;
    private options;
    constructor(particles: () => Container);
    addParticlesToGroup(parent: EditorGroup, customName?: string, parentData?: () => unknown): void;
    addToGroup(parent: EditorGroup, options?: () => unknown): void;
    private addBounce;
    private addCollisions;
    private addColor;
    private addDestroy;
    private addLife;
    private addLinks;
    private addMove;
    private addNumber;
    private addOpacity;
    private addProperties;
    private addRoll;
    private addRotate;
    private addShadow;
    private addShape;
    private addSize;
    private addStroke;
    private addTilt;
    private addTwinkle;
    private addWobble;
}
