(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.editorChangedEvent = exports.changeHandler = void 0;
    const changeHandler = async (container, callback) => {
        if (callback) {
            callback(container);
        }
        await container.refresh();
    };
    exports.changeHandler = changeHandler;
    const editorChangedEvent = "editorChanged";
    exports.editorChangedEvent = editorChangedEvent;
});
