(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "./ParticlesEditor"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.showEditor = void 0;
    const ParticlesEditor_1 = require("./ParticlesEditor");
    function showEditor(container) {
        return new ParticlesEditor_1.ParticlesEditor(container);
    }
    exports.showEditor = showEditor;
});
